Introduction

The Vulnerability Catalog contains the help information for all the vulnerability checks used in Internet Scanner. This information is identical to the help information embedded in the Policy Editor’s Vulnerability Information window.

The search engine used by the Vulnerability Catalog help file lets you target your search towards keywords that may be present in the help information of multiple vulnerability checks. For example, if you want to find all the vulnerability checks that run on Cisco routers, follow these steps:

  1. Click the Search tab.

  2. Type ‘Cisco’ in the keyword search box, and then click List Topics. When the search is finished, the help file lists the topics found that contained the keyword Cisco.

  3. Select a topic, and click Display to view the topic’s contents.


Backdoors

The Backdoor exploits look for attacker-placed backdoors on systems.


Browser

The Browser exploits look for vulnerabilities in Internet Explorer and Netscape Navigator, and test URL security levels depending on how you classify a host or Web site.


Brute Force

The Brute Force exploits test for weak accounts, passwords, and services with permutations of frequently used terms.


CGI-Bin

The CGI-Bin exploits test for weaknesses in CGI files and programs that use the Web.


NT Critical Issues

Critical NT Issues

The Critical NT Issues exploits contain security tests that strengthen and monitor security-related activities on a Windows NT computer.


Daemons

The Daemon exploits examine Unix processes (and equivalent Windows services) for vulnerable versions or weak security.


DCOM

The DCOM exploits test DCOM Registry keys and DCOM permissions.


DNS

The DNS exploits test Distributed Naming Service implementations for vulnerabilities.


E-mail

The E-mail exploits test for vulnerabilities related to the Simple Mail Transport Protocol (SMTP).


Firewalls

The Firewall exploits test firewalls for default user security weaknesses.


FTP

The FTP exploits test weaknesses in the File Transfer Protocol and its implementations.


Information Gathering

The Information Gathering exploits collect information, such as user account names, which attacker would gather prior to mounting a concerted attack.


LDAP

The LDAP exploits test Lightweight Directory Access Protocol (LDAP) servers.


Network

The Network exploits test for TCP, IP, and data transport vulnerabilities.


Network Sniffers

The Network Sniffer exploits detect and report any devices or software that monitors network traffic.


NFS

The NFS exploits test the NFS file system.


NIS

The NIS exploits test Network Information System implementations for vulnerabilities.


NT Groups

The NT Groups exploits determine appropriate user group memberships for user accounts and established user groups.


NT Networking

The NT Networking exploits determine network security weaknesses specific to Windows NT.


NT Password

The NT Password exploits test Windows NT accounts, including User, Password, and Lockout checks.


NT Patches

The NT Patch exploits determine if systems contain the latest Windows NT software updates.


NT Policy Issues

The NT Policy Issue exploits detect security policy settings that can lead to unauthorized access.


NT Registry

The NT Registry exploits test the security of a host’s registry, including keys that protect the Simple Network Management Protocol (SNMP).


NT Services

The NT Service exploits detect running Windows NT services and security weaknesses associated with services.


NT Users

The NT User exploits include tests that determine if additional user-level security has been implemented on the computers you scan.


Protocol Spoofing

The Protocol Spoofing exploits test for TCP sequence number predictability.


Router/Switch

The Router/Switch exploits test packet routers and networking hardware for vulnerabilities.


RPC

The RPC exploits test Remote Procedure Call (RPC) services and vulnerabilities.


Shares

The Share exploits test NetBIOS/SMB shares for weak or potentially unauthorized access.


SNMP

The SNMP exploits test Simple Network Management Protocol implementations for vulnerabilities.


Web Scan

The Web Scan exploits test for weaknesses in files and programs that use the Web, such as IIS and HTTP.


X Windows

The X Windows exploits test the X-Windows interface.